Amazon Product Detail
Amazon Product Detail 用于获取 Amazon 商品详情数据。
- 按商品链接抓取商品详情
- 支持按地区获取对应站点结果
- 返回商品基础信息、价格、买盒、图片和商品概览
- 支持一次传入多个商品链接
使用 XCrawl 获取 Amazon 商品详情
使用方式
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "amazon_product_detail",
"location": "US",
"product_url_list": ["xxxxx"]
}'请求参数说明:
engine固定为amazon_product_detaillocation用于指定抓取地区product_url_list用于传入一个或多个商品链接
响应示例
{
"result": [
{
"content": {
"url": "https://www.amazon.com/Apple-2025-MacBook-13-inch-Laptop/dp/B0DZD9S5GC/...",
"asin": "B0DZD9S5GC",
"price": 849,
"brand": "Apple",
"title": "Apple 2025 MacBook Air 13-inch Laptop with M4 chip...",
"buybox": [
{
"price": 849,
"stock": "In Stock",
"condition": "Buy new:",
"delivery_details": [
{
"date": "Monday, June 16",
"type": "FREE delivery"
}
]
}
],
"images": [
"https://m.media-amazon.com/images/I/41ZbpAVHqdL._AC_SR38,50_.jpg"
],
"rating": "4.8",
"reviews": null,
"currency": "USD",
"description": "",
"bullet_points": "About this item ...",
"product_name": "Apple 2025 MacBook Air 13-inch Laptop with M4 chip...",
"product_details": {},
"product_overview": [
{
"title": "Brand",
"description": "Apple"
}
]
}
}
]
}参数说明
必填参数
| 参数 | 类型 | 说明 |
|---|---|---|
location | string | 指定抓取地区。 |
product_url_list | array | 传入一个或多个 Amazon 商品链接。 |
参数补充说明
location默认值为USlocation支持多个地区值,例如US、HK、CA、AD、AEproduct_url_list默认为空数组,数组元素应为商品详情页链接
响应字段
响应数据位于 result[].content。
| 字段 | 类型 | 说明 |
|---|---|---|
url | string | 商品页面地址。 |
asin | string | 商品 ASIN。 |
price | number | 商品价格。 |
brand | string | 商品品牌。 |
title | string | 商品标题。 |
buybox | array | 买盒信息。 |
images | array | 商品图片列表。 |
rating | number | 商品评分。 |
reviews | number | 商品评论数量。 |
currency | string | 价格货币。 |
description | string | 商品描述。 |
bullet_points | string | 商品要点说明。 |
product_name | string | 商品名称。 |
product_details | object | 商品详情参数。 |
product_overview | array | 商品概览信息。 |
买盒字段
buybox[] 中每个元素包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
price | number | 买盒价格。 |
stock | string | 库存状态。 |
condition | string | 商品条件。 |
delivery_details | array | 配送信息列表。 |
配送字段
delivery_details[] 中每个元素包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
date | string | 配送日期。 |
type | string | 配送类型。 |
商品概览字段
product_overview[] 中每个元素包含以下字段:
| 字段 | 类型 | 说明 |
|---|---|---|
title | string | 概览项名称。 |
description | string | 概览项内容。 |
